Decide the client's latest KYB application, as the compliance reviewer would
curl --request POST \
--url https://api.example.com/sandbox/kyb/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/sandbox/kyb/status"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/sandbox/kyb/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ready": true,
"missing": [
"<string>"
],
"status": "notStarted",
"application": {
"id": "kyb_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"attemptNo": 123,
"status": "notStarted",
"submittedAt": "2023-11-07T05:31:56Z",
"comment": "<string>",
"decidedAt": "2023-11-07T05:31:56Z"
},
"document": {
"company": {
"legalName": "<string>",
"tradeName": "<string>",
"country": "<string>",
"registrationNumber": "<string>",
"linkedinUrl": "<string>",
"taxId": "<string>",
"phone": "<string>",
"email": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"entityType": "<string>",
"entityTypeDescription": "<string>",
"incorporationDate": "2023-12-25",
"industry": "<string>",
"websites": [
"<string>"
],
"operatingCountries": [
"<string>"
],
"expectedMonthlyVolumeUsd": "500.00",
"expectedCryptoMonthlyVolumeUsd": "500.00",
"expectedMonthlyAchUsd": "500.00",
"expectedMonthlyWireUsd": "500.00",
"cryptoIndustrySubtype": "<string>",
"hasIntermediateEntityOwnership": true,
"primaryTargetMarket": "<string>",
"estimatedAnnualRevenue": "500.00",
"hasUsBank": true,
"deniedUsBank": true,
"hasPep": true,
"bizAdverse": [
"<string>"
],
"ownersAdverse": [
"<string>"
],
"publicListed": true,
"txPerMonth": "<string>",
"usesBlockchain": true,
"revenueCovers": "<string>",
"institutionalInvestors": true,
"isRegulated": true,
"regulatorCountry": "<string>",
"regulatoryLicenseType": "<string>",
"verifiesCustomerIdentity": true,
"hasTransactionMonitoring": true,
"productsServices": [
"<string>"
],
"businessDescription": "<string>",
"businessType": "<string>",
"businessIndustry": "<string>",
"verifierRole": "<string>",
"sourceOfFunds": "<string>",
"sourceOfFundsDetails": "<string>",
"purposeOfFunds": "<string>",
"purposeOfFundsDetails": "<string>",
"flowOfFunds": "<string>",
"complianceScreening": "<string>",
"moneyServicesDescription": "<string>",
"handlesCustomerFunds": true,
"actingAsIntermediary": true,
"sanctionedCountryOperations": true,
"highRiskActivities": [
"<string>"
],
"depositMethods": [
"<string>"
],
"contactInfo": "<string>",
"identityDocuments": [
{
"type": "passport",
"issuingCountry": "<string>",
"number": "<string>"
}
]
},
"people": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"dateOfBirth": "2023-12-25",
"birthCountry": "<string>",
"nationalities": [
"<string>"
],
"title": "<string>",
"country": "<string>",
"linkedinUrl": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"taxIdCountry": "<string>",
"taxId": "<string>",
"identityDocuments": [
{
"type": "passport",
"issuingCountry": "<string>",
"number": "<string>"
}
],
"ownershipPercentage": "<string>",
"hasControl": false,
"isDirector": false,
"isSigner": false,
"documents": [
{
"slot": "certificate_of_incorporation",
"uploadId": "doc_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
}
]
}
],
"documents": [
{
"slot": "certificate_of_incorporation",
"uploadId": "doc_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Sandbox
Decide the client's latest KYB application, as the compliance reviewer would
Moves the client’s latest application to approved, rfi or rejected, and returns the body of GET /dapi/v1/client/kyb. Sending the current status returns it unchanged. For an individual client with no application, approved verifies the client. Otherwise a client with no application returns 409 conflict, and so does an application in rfi or rejected. Complete the submission again to file a new attempt.
POST
/
sandbox
/
kyb
/
status
Decide the client's latest KYB application, as the compliance reviewer would
curl --request POST \
--url https://api.example.com/sandbox/kyb/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/sandbox/kyb/status"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/sandbox/kyb/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ready": true,
"missing": [
"<string>"
],
"status": "notStarted",
"application": {
"id": "kyb_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"attemptNo": 123,
"status": "notStarted",
"submittedAt": "2023-11-07T05:31:56Z",
"comment": "<string>",
"decidedAt": "2023-11-07T05:31:56Z"
},
"document": {
"company": {
"legalName": "<string>",
"tradeName": "<string>",
"country": "<string>",
"registrationNumber": "<string>",
"linkedinUrl": "<string>",
"taxId": "<string>",
"phone": "<string>",
"email": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"entityType": "<string>",
"entityTypeDescription": "<string>",
"incorporationDate": "2023-12-25",
"industry": "<string>",
"websites": [
"<string>"
],
"operatingCountries": [
"<string>"
],
"expectedMonthlyVolumeUsd": "500.00",
"expectedCryptoMonthlyVolumeUsd": "500.00",
"expectedMonthlyAchUsd": "500.00",
"expectedMonthlyWireUsd": "500.00",
"cryptoIndustrySubtype": "<string>",
"hasIntermediateEntityOwnership": true,
"primaryTargetMarket": "<string>",
"estimatedAnnualRevenue": "500.00",
"hasUsBank": true,
"deniedUsBank": true,
"hasPep": true,
"bizAdverse": [
"<string>"
],
"ownersAdverse": [
"<string>"
],
"publicListed": true,
"txPerMonth": "<string>",
"usesBlockchain": true,
"revenueCovers": "<string>",
"institutionalInvestors": true,
"isRegulated": true,
"regulatorCountry": "<string>",
"regulatoryLicenseType": "<string>",
"verifiesCustomerIdentity": true,
"hasTransactionMonitoring": true,
"productsServices": [
"<string>"
],
"businessDescription": "<string>",
"businessType": "<string>",
"businessIndustry": "<string>",
"verifierRole": "<string>",
"sourceOfFunds": "<string>",
"sourceOfFundsDetails": "<string>",
"purposeOfFunds": "<string>",
"purposeOfFundsDetails": "<string>",
"flowOfFunds": "<string>",
"complianceScreening": "<string>",
"moneyServicesDescription": "<string>",
"handlesCustomerFunds": true,
"actingAsIntermediary": true,
"sanctionedCountryOperations": true,
"highRiskActivities": [
"<string>"
],
"depositMethods": [
"<string>"
],
"contactInfo": "<string>",
"identityDocuments": [
{
"type": "passport",
"issuingCountry": "<string>",
"number": "<string>"
}
]
},
"people": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"dateOfBirth": "2023-12-25",
"birthCountry": "<string>",
"nationalities": [
"<string>"
],
"title": "<string>",
"country": "<string>",
"linkedinUrl": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"taxIdCountry": "<string>",
"taxId": "<string>",
"identityDocuments": [
{
"type": "passport",
"issuingCountry": "<string>",
"number": "<string>"
}
],
"ownershipPercentage": "<string>",
"hasControl": false,
"isDirector": false,
"isSigner": false,
"documents": [
{
"slot": "certificate_of_incorporation",
"uploadId": "doc_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
}
]
}
],
"documents": [
{
"slot": "certificate_of_incorporation",
"uploadId": "doc_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Headers
Body
application/json
Response
Successful Response
Was this page helpful?